Bug 1647298 - java-openjdk-headless conflicts with java-11-openjdk-headless
Summary: java-openjdk-headless conflicts with java-11-openjdk-headless
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: java-openjdk
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: jiri vanek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-07 05:20 UTC by Mikhail
Modified: 2018-12-18 03:41 UTC (History)
4 users (show)

Fixed In Version: java-openjdk-11.0.1.13-8.rolling.fc29 java-openjdk-11.0.1.13-8.rolling.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-16 04:22:04 UTC


Attachments (Terms of Use)

Description Mikhail 2018-11-07 05:20:18 UTC
Description of problem:

# dnf upgrade --refresh --exclude=openconnect
Adobe Systems Incorporated                      2.4 kB/s | 2.9 kB     00:01
Fedora - Modular Rawhide - Developmental packag 9.9 kB/s |  14 kB     00:01
Fedora - Rawhide - Developmental packages for t 7.6 kB/s |  14 kB     00:01
Fedora - Rawhide - Debug                        7.4 kB/s |  13 kB     00:01
google-chrome-unstable                          1.2 kB/s | 1.3 kB     00:01
local repo                                      2.9 MB/s | 3.0 kB     00:00
Opera packages                                  2.3 kB/s | 2.9 kB     00:01
RPM Fusion for Fedora Rawhide - Free            7.4 kB/s | 9.5 kB     00:01
RPM Fusion for Fedora Rawhide - Nonfree         7.4 kB/s | 9.6 kB     00:01
Visual Studio Code                              2.3 kB/s | 2.9 kB     00:01
Dependencies resolved.
================================================================================
 Package                     Arch      Version                 Repository  Size
================================================================================
Upgrading:
 java-11-openjdk             x86_64    1:11.0.1.13-4.fc30      rawhide    196 k
 java-11-openjdk-headless    x86_64    1:11.0.1.13-4.fc30      rawhide     38 M

Transaction Summary
================================================================================
Upgrade  2 Packages

Total download size: 38 M
Is this ok [y/N]: y
Downloading Packages:
[MIRROR] java-11-openjdk-11.0.1.13-4.fc30.x86_64.rpm: Status code: 404 for http://mirror.yandex.ru/fedora/linux/development/rawhide/Everything/x86_64/os/Packages/j/java-11-openjdk-11.0.1.13-4.fc30.x86_64.rpm
[MIRROR] java-11-openjdk-headless-11.0.1.13-4.fc30.x86_64.rpm: Status code: 404 for http://mirror.yandex.ru/fedora/linux/development/rawhide/Everything/x86_64/os/Packages/j/java-11-openjdk-headless-11.0.1.13-4.fc30.x86_64.rpm
[MIRROR] java-11-openjdk-11.0.1.13-4.fc30.x86_64.rpm: Status code: 404 for https://mirror.yandex.ru/fedora/linux/development/rawhide/Everything/x86_64/os/Packages/j/java-11-openjdk-11.0.1.13-4.fc30.x86_64.rpm
[MIRROR] java-11-openjdk-headless-11.0.1.13-4.fc30.x86_64.rpm: Status code: 404 for https://mirror.yandex.ru/fedora/linux/development/rawhide/Everything/x86_64/os/Packages/j/java-11-openjdk-headless-11.0.1.13-4.fc30.x86_64.rpm
[MIRROR] java-11-openjdk-headless-11.0.1.13-4.fc30.x86_64.rpm: Status code: 404 for http://fedora.uib.no/fedora/linux/development/rawhide/Everything/x86_64/os/Packages/j/java-11-openjdk-headless-11.0.1.13-4.fc30.x86_64.rpm
[MIRROR] java-11-openjdk-11.0.1.13-4.fc30.x86_64.rpm: Status code: 404 for http://fedora.uib.no/fedora/linux/development/rawhide/Everything/x86_64/os/Packages/j/java-11-openjdk-11.0.1.13-4.fc30.x86_64.rpm
(1/2): java-11-openjdk-11.0.1.13-4.fc30.x86_64.  64 kB/s | 196 kB     00:03
(2/2): java-11-openjdk-headless-11.0.1.13-4.fc3 5.0 MB/s |  38 MB     00:07
--------------------------------------------------------------------------------
Total                                           3.9 MB/s |  38 MB     00:09
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/bin/java from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/bin/jjs from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/bin/keytool from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/bin/pack200 from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/bin/rmid from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/bin/rmiregistry from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/bin/unpack200 from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/classlist from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/jexec from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/jli/libjli.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/jrt-fs.jar from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libattach.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libawt.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libawt_headless.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libdt_socket.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libextnet.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libfontmanager.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libinstrument.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libj2gss.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libj2pcsc.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libj2pkcs11.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libjaas.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libjava.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libjavajpeg.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libjdwp.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libjimage.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libjsig.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libjsound.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/liblcms.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libmanagement.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libmanagement_agent.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libmanagement_ext.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libmlib_image.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libnet.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libnio.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libprefs.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/librmi.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libsaproc.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libsctp.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libsunec.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libunpack.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libverify.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/libzip.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/modules from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/server/libjsig.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64
  file /usr/lib/jvm/java-11-openjdk-11.0.1.13-4.fc30.x86_64/lib/server/libjvm.so from install of java-11-openjdk-headless-1:11.0.1.13-4.fc30.x86_64 conflicts with file from package java-openjdk-headless-1:11.0.1.13-4.fc30.x86_64

Error Summary
-------------

Comment 1 Severin Gehwolf 2018-11-07 08:43:07 UTC
Thanks for the report. We are aware of the issue. It boils down to the fact that currently latest JDK is also a LTS which is being packaged as a separate JDK. Both are version 11.0.1.13

This scratch build of java-openjdk works around the issue:

https://koji.fedoraproject.org/koji/taskinfo?taskID=30705815

Initial PR to fix this is here:
https://src.fedoraproject.org/rpms/java-openjdk/pull-request/18

Comment 2 Severin Gehwolf 2018-11-07 08:44:38 UTC
Changing component to java-openjdk as we should really fix it there.

Comment 3 jiri vanek 2018-11-07 10:41:41 UTC
Hi!

Currenlty it is expecting behavor in rawhide, andreason why it never reched stablpe releases.

Still the artificial confflict may be the final solution.

Others (lkie Severin) are strongly against, and we are trying to find a better solution.

Thanx for report!

Comment 4 Tim Orling 2018-11-10 02:56:25 UTC
For anyone just trying to get past a dnf upgrade, append the following option:

--exclude java-openjdk*

Comment 5 jiri vanek 2018-11-11 10:50:47 UTC
(In reply to Tim Orling from comment #4)
> For anyone just trying to get past a dnf upgrade, append the following
> option:
> 
> --exclude java-openjdk*

Or remove java-openjk xor java-11-openjdk.

Anyway., the conflict will be resolved soon, and packages will be able to coexists. Thanx for understanding, and sorry.

Comment 7 Fedora Update System 2018-12-03 08:55:22 UTC
java-openjdk-11.0.1.13-8.rolling.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-898d931f52

Comment 8 Fedora Update System 2018-12-03 08:55:28 UTC
java-openjdk-11.0.1.13-8.rolling.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-39db719eae

Comment 9 Fedora Update System 2018-12-04 03:37:46 UTC
java-openjdk-11.0.1.13-8.rolling.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-39db719eae

Comment 10 Fedora Update System 2018-12-04 05:01:57 UTC
java-openjdk-11.0.1.13-8.rolling.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-898d931f52

Comment 11 Fedora Update System 2018-12-16 04:22:04 UTC
java-openjdk-11.0.1.13-8.rolling.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-12-18 03:41:21 UTC
java-openjdk-11.0.1.13-8.rolling.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.